<assembly>
    <id>bundle</id>
    <formats>
        <format>tar.gz</format>
    </formats>
    <includeBaseDirectory>false</includeBaseDirectory>

    <fileSets>
        <!-- 配置文件 -->
        <fileSet>
            <directory>${basedir}/src/main/resources</directory>
            <outputDirectory>config</outputDirectory>
            <includes>
                <include>application-${profileActive}.yaml</include>
                <include>bootstrap-${profileActive}.yaml</include>
                <include>bootstrap.yaml</include>
            </includes>
        </fileSet>

        <!-- 依赖库 -->
        <fileSet>
            <directory>${basedir}/target/lib</directory>
            <includes>
                <include>*.jar</include>
            </includes>

            <outputDirectory>lib</outputDirectory>
        </fileSet>
        <!-- 可执行的jar -->
        <fileSet>
            <directory>${project.build.directory}</directory>
            <outputDirectory>/</outputDirectory>
            <includes>
                <include>${project.artifactId}.jar</include>
            </includes>
        </fileSet>
    </fileSets>

</assembly>